minix3 on qemu0.9.1 - Minix

This is a discussion on minix3 on qemu0.9.1 - Minix ; hi i try to install minix3 on qemu so i go to qemu's website and download the latest qemu(0.9.1) and ./configure ./make ./make install when i try to launch minix on qemu i found it hang! in the end i ...

+ Reply to Thread
Results 1 to 7 of 7

Thread: minix3 on qemu0.9.1

  1. minix3 on qemu0.9.1

    hi
    i try to install minix3 on qemu

    so i go to qemu's website and download the latest qemu(0.9.1)
    and ./configure ./make ./make install

    when i try to launch minix on qemu

    i found it hang!

    in the end i found a line in MINIX3 website
    "this can not work on qemu0.9.1......"

    so can somebody show me tips to install minix on qemu0.9.1?
    or provide some information to rollback to qemu0.8.2

    thanks


  2. Re: minix3 on qemu0.9.1

    In article
    <047a5eb5-c972-4445-8a36-dd7ac9b1416d@e10g2000prf.googlegroups.com>alls
    tars wrote:
    > hi
    > i try to install minix3 on qemu


    > so i go to qemu's website and download the latest qemu(0.9.1)
    > and ./configure ./make ./make install


    > when i try to launch minix on qemu


    > i found it hang!


    > in the end i found a line in MINIX3 website
    > "this can not work on qemu0.9.1......"


    > so can somebody show me tips to install minix on qemu0.9.1?
    > or provide some information to rollback to qemu0.8.2


    > thanks


    Hi,
    I have try to install Minix 3 on Qemu on Mac Os X and I haven't had a
    problem...

    With an other virtual machine qemu works correctly? In this way I
    understand if the problem is qemu or minix :-)

    --
    I'm trying a new usenet client for Mac, Nemo OS X.
    You can download it at http://www.malcom-mac.com/nemo


  3. Re: minix3 on qemu0.9.1

    Hi,

    allstars wrote:

    > in the end i found a line in MINIX3 website
    > "this can not work on qemu0.9.1......"


    Where did you read this exactly?

    > so can somebody show me tips to install minix on qemu0.9.1?
    > or provide some information to rollback to qemu0.8.2


    - disable the kqemu acceleration layer if enabled (launch qemu with
    --no-kqemu I believe)
    - make sure that Minix knows it is running on QEMU. While booting, press
    ESC to enter the boot monitor, enter "qemu_pci=1; save" so that Minix
    ignores QEMU's flunky PCI behaviour.

    Regards,

    Jens


    --
    Jens de Smit
    Student Computer Science | Vrije Universiteit Amsterdam
    jfdsmit@few.vu.nl | http://www.few.vu.nl/~jfdsmit
    "[In the end, people] get furious at IT that the goddamn magic isn't working"
    -- Stewart Dean

  4. Re: minix3 on qemu0.9.1

    On Mar 14, 4:51 pm, "J.F. de Smit" wrote:
    > Hi,
    >
    > allstars wrote:
    >
    >
    >
    > > in the end i found a line in MINIX3 website
    > > "this can not work on qemu0.9.1......"

    >
    > Where did you read this exactly?
    >
    > > so can somebody show me tips to install minix on qemu0.9.1?
    > > or provide some information to rollback to qemu0.8.2

    >
    > - disable the kqemu acceleration layer if enabled (launch qemu with
    > --no-kqemu I believe)
    > - make sure that Minix knows it is running on QEMU. While booting, press
    > ESC to enter the boot monitor, enter "qemu_pci=1; save" so that Minix
    > ignores QEMU's flunky PCI behaviour.
    >
    > Regards,
    >
    > Jens
    >
    > --
    > Jens de Smit
    > Student Computer Science | Vrije Universiteit Amsterdam
    > jfds...@few.vu.nl |http://www.few.vu.nl/~jfdsmit
    > "[In the end, people] get furious at IT that the goddamn magic isn't working"
    > -- Stewart Dean


    Dear Jens
    i read the line in
    http://wiki.minix3.org/wikis/minix3/...INIX_3_on_Qemu
    please see the bottem

    i am using Ubuntu
    i have checked lots of pages , most of them are talking minix on
    qemu0.8.2
    but i try to install qemu0.8.2 it complains it needs GCC3.....

    i would like to ask is it possible to run minix3 on qemu0.9.1?

    thanks

  5. Re: minix3 on qemu0.9.1

    On Mar 15, 12:09 am, allstars wrote:
    > On Mar 14, 4:51 pm, "J.F. de Smit" wrote:
    >
    >
    >
    > > Hi,

    >
    > > allstars wrote:

    >
    > >

    >
    > > > in the end i found a line in MINIX3 website
    > > > "this can not work on qemu0.9.1......"

    >
    > > Where did you read this exactly?

    >
    > > > so can somebody show me tips to install minix on qemu0.9.1?
    > > > or provide some information to rollback to qemu0.8.2

    >
    > > - disable the kqemu acceleration layer if enabled (launch qemu with
    > > --no-kqemu I believe)
    > > - make sure that Minix knows it is running on QEMU. While booting, press
    > > ESC to enter the boot monitor, enter "qemu_pci=1; save" so that Minix
    > > ignores QEMU's flunky PCI behaviour.

    >
    > > Regards,

    >
    > > Jens

    >
    > > --
    > > Jens de Smit
    > > Student Computer Science | Vrije Universiteit Amsterdam
    > > jfds...@few.vu.nl |http://www.few.vu.nl/~jfdsmit
    > > "[In the end, people] get furious at IT that the goddamn magic isn't working"
    > > -- Stewart Dean

    >
    > Dear Jens
    > i read the line inhttp://wiki.minix3.org/wikis/minix3/Running_MINIX_3_on_Qemu
    > please see the bottem
    >
    > i am using Ubuntu
    > i have checked lots of pages , most of them are talking minix on
    > qemu0.8.2
    > but i try to install qemu0.8.2 it complains it needs GCC3.....
    >
    > i would like to ask is it possible to run minix3 on qemu0.9.1?
    >
    > thanks


    more , i found my qemu(0.9.1) , it doesnt have option for --no-kqemu

    thank


  6. Re: minix3 on qemu0.9.1

    allstars wrote:
    > Dear Jens
    > i read the line in
    > http://wiki.minix3.org/wikis/minix3/...INIX_3_on_Qemu
    > please see the bottem


    > i am using Ubuntu
    > i have checked lots of pages , most of them are talking minix on
    > qemu0.8.2
    > but i try to install qemu0.8.2 it complains it needs GCC3.....


    > i would like to ask is it possible to run minix3 on qemu0.9.1?


    Well, apparently the person who wrote the how-to thinks it can't be done
    and I can't find a statement that it can be done so lets assume it's
    impossible. Try installing gcc3, the package is probably called gcc-3.3.

    Regards,

    Jens

    --
    Jens de Smit
    Student Computer Science | Vrije Universiteit Amsterdam
    jfdsmit@few.vu.nl | http://www.few.vu.nl/~jfdsmit
    "[In the end, people] get furious at IT that the goddamn magic isn't working"
    -- Stewart Dean

  7. Re: minix3 on qemu0.9.1

    On Mar 17, 4:00 pm, "J.F. de Smit" wrote:
    > allstars wrote:
    > > Dear Jens
    > > i read the line in
    > >http://wiki.minix3.org/wikis/minix3/...INIX_3_on_Qemu
    > > please see the bottem
    > > i am using Ubuntu
    > > i have checked lots of pages , most of them are talking minix on
    > > qemu0.8.2
    > > but i try to install qemu0.8.2 it complains it needs GCC3.....
    > > i would like to ask is it possible to run minix3 on qemu0.9.1?

    >
    > Well, apparently the person who wrote the how-to thinks it can't be done
    > and I can't find a statement that it can be done so lets assume it's
    > impossible. Try installing gcc3, the package is probably called gcc-3.3.
    >
    > Regards,
    >
    > Jens
    >
    > --
    > Jens de Smit
    > Student Computer Science | Vrije Universiteit Amsterdam
    > jfds...@few.vu.nl |http://www.few.vu.nl/~jfdsmit
    > "[In the end, people] get furious at IT that the goddamn magic isn't working"
    > -- Stewart Dean


    Dear Jens
    i have used qemu0.8.2
    so it works now,
    but i still dont know why latest qemu can not work

    thanks

+ Reply to Thread